Subject: Re: [MMUSIC] [mmusic] #7: Encapsulated packet format

From: Hadriel Kaplan <[email-masked]>
Date: Mon, 12 Mar 2012 16:51:04 +0000

Yup, I've read it multiple times and I too think it's confusing.

I believe the intent was this… you receive an RTP packet "Foo" of this:
[ Foo RTP+extensions ][ audio/video payload ]
You send back this:
[ local RTP+extensions ][ 7.1.2 header ][ Foo RTP+extensions ][ audio/video payload ]

I will try to clarify the text to match that.

-hadriel

On Jan 31, 2012, at 12:50 PM, mmusic issue tracker wrote:

> #7: Encapsulated packet format
> 
> From Magnus:
> 25.  Section 7.1.2:
> 
> Payload strucutre. I think it is unclear. Which of the following options
> do you really want.
> 
> Outer RTP header
> (optional CSRC list or Header ext)
> Receive timestamp
> Inner RTP packet {
>  - RTP header
>  - (optional CSRC list or Header ext)
>  - RTP payload
> }
> 
> or
> 
> Outer RTP header
> (optional CSRC list or Header ext)
> RTP Payload header {
> Receive timestamp
> Inner RTP packet header fields as specified in 7.1.2
> }
> Inner RTP payload
> 
> Note that the second doesn't echo back the extension header
> 
> In general the text is not clear that the inner RTP payload should be
> included.
> 
> -- 
> --------------------------+------------------------------------------------
> Reporter:  hkaplan@…     |      Owner:  draft-ietf-mmusic-media-loopback@…
>     Type:  defect        |     Status:  new
> Priority:  minor         |  Milestone:  milestone1
> Component:  media-        |    Version:  1.0
>  loopback                |   Keywords:
> Severity:  In WG Last    |
>  Call                    |
> --------------------------+------------------------------------------------
> 
> Ticket URL: <http://trac.tools.ietf.org/wg/mmusic/trac/ticket/7>
> mmusic <http://tools.ietf.org/mmusic/>
>